﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace OseCommApp.CSharp
{
    public partial class FileForm : Form
    {
        private string _pcFilename = "";
        private string _terminalFilename = "";
        private bool _continueWhenNotAvailable = false;
        private int _downloadType = 0;
        private int _terminalDrive = 0;
        private string _formText = "";
        private bool _useDownType = false;

        public FileForm()
        {
            InitializeComponent();
        }

        private void FileForm_Load(object sender, EventArgs e)
        {
            Text = _formText;
            comboDownType.Enabled = _useDownType;

            textPCFile.Text = _pcFilename;
            comboDownType.SelectedIndex = _downloadType;
            checkContinueWhenNotAvailable.Checked = _continueWhenNotAvailable;
            textTerminalFile.Text = _terminalFilename;
            comboDrive.SelectedIndex = _terminalDrive; 
        }

        public string PcFilename
        {
            get
            {
                return _pcFilename;
            }
            set
            {
                _pcFilename = value;
            }
        }

        public string TerminalFilename
        {
            get
            {
                return _terminalFilename;
            }
            set
            {
                _terminalFilename = value;
            }
        }

        public bool ContinueWhenNotAvailable
        {
            get
            {
                return _continueWhenNotAvailable;
            }
            set
            {
                _continueWhenNotAvailable = value;
            }
        }

        public int DownloadType
        {
            get 
            {
                return _downloadType;
            }
            set
            {
                _downloadType = value;
            }
        }

        public int TerminalDrive
        {
            get
            {
                return _terminalDrive;
            }
            set
            {
                _terminalDrive = value;
            }
        }

        public string FormText
        {
            set
            {
                _formText = value;
            }
        }

        public bool UseDownType
        {
            set
            {
                _useDownType = value;
            }
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            // Save the settings in the properties
            _pcFilename = textPCFile.Text;
            _terminalFilename = textTerminalFile.Text;
            _continueWhenNotAvailable = checkContinueWhenNotAvailable.Checked;
            _downloadType = comboDownType.SelectedIndex;
            _terminalDrive = comboDrive.SelectedIndex;
        }

        private void buttonSetFile_Click(object sender, EventArgs e)
        {
            OpenFileDialog fileDlg = new OpenFileDialog();
            fileDlg.Multiselect = false;
            if (fileDlg.ShowDialog() == DialogResult.OK)
            {
                textPCFile.Text = fileDlg.FileName;
            }
        }
    }
}
